%global npm_name b64

Name: nodejs-b64
Version: 4.1.2
Release: %mkrel 5
Summary: Base64 streaming encoder and decoder
License: BSD
Group: Development/Other
URL: https://github.com/hapijs/b64#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(hoek) >= 6.0.0
Requires: npm(hoek) < 7.0.0
BuildArch: noarch

%description
%{summary}

%prep
%autosetup -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%check
%{nodejs_symlink_deps} --check

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 4.1.2-5.mga10
+ Revision: 2209394
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 4.1.2-4.mga9
+ Revision: 1820133
- Mageia 9 Mass Rebuild

* Fri Jun 12 2020 joequant <joequant> 4.1.2-3.mga8
+ Revision: 1592862
- redo deps

* Fri Feb 14 2020 umeabot <umeabot> 4.1.2-2.mga8
+ Revision: 1521137
- Mageia 8 Mass Rebuild

* Sun Dec 16 2018 kekepower <kekepower> 4.1.2-1.mga7
+ Revision: 1341651
- imported package nodejs-b64

